<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jumeirah.common.mapper.PlainTypeMapper">

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, series_type, name, img_url, status, create_time, update_time
    </sql>

    <select id="getPlainTypeById" resultType="com.jumeirah.common.vo.PlainTypeQueryVo">
        select
        <include refid="Base_Column_List"/>
        from plain_type where id = #{id}
    </select>

    <select id="getPlainTypePageList" parameterType="com.jumeirah.common.param.PlainTypePageParam"
            resultType="com.jumeirah.common.vo.PlainTypeQueryVo">
        select
        <include refid="Base_Column_List"/>
        from plain_type
    </select>

</mapper>
